Bug 1475733 (CVE-2017-11671) - CVE-2017-11671 gcc: GCC generates incorrect code for RDRAND/RDSEED intrinsics
Summary: CVE-2017-11671 gcc: GCC generates incorrect code for RDRAND/RDSEED intrinsics
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2017-11671
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1475735 1475736 1475737 1482761 1482762
Blocks: 1475740
TreeView+ depends on / blocked
 
Reported: 2017-07-27 08:53 UTC by Adam Mariš
Modified: 2019-09-29 14:17 UTC (History)
13 users (show)

Fixed In Version: gcc 5.5, gcc 6.4
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-08 03:18:55 UTC


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:0849 0 None None None 2018-04-10 08:26:02 UTC

Description Adam Mariš 2017-07-27 08:53:39 UTC
Under certain circumstances, the ix86_expand_builtin function in i386.c in GNU Compiler Collection (GCC) version 4.6, 4.7, 4.8, 4.9, 5 before 5.5, and 6 before 6.4 will generate instruction sequences that clobber the status flag of the RDRAND and RDSEED intrinsics before it can be read, potentially causing failures of these instructions to go unreported.

Upstream bug:

https://gcc.gnu.org/bugzilla/show_bug.cgi?id=80180

Upstream patch:

https://gcc.gnu.org/ml/gcc-patches/2017-03/msg01349.html

References:

http://seclists.org/oss-sec/2017/q3/218

Comment 1 Adam Mariš 2017-07-27 08:54:20 UTC
Created gcc tracking bugs for this issue:

Affects: fedora-25 [bug 1475735]


Created mingw-gcc tracking bugs for this issue:

Affects: epel-all [bug 1475736]
Affects: fedora-25 [bug 1475737]

Comment 13 errata-xmlrpc 2018-04-10 08:25:52 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2018:0849 https://access.redhat.com/errata/RHSA-2018:0849


Note You need to log in before you can comment on or make changes to this bug.